## NAME
`buru user add <username>` - Add user to the user database.

## OPTIONS
* `--keys <public_key_file1> <public_key_file2> <...>`
  * User public key files. Can be used for authentication instead of password.
* `--password <password>` 
  * Plaintext password. You will be prompted for password if not set (recommended) and public key is not set.
* `--readonly`
  * Read-only access
* `--rootdir`
  * Root directory to be used for the user. Use [path](path) command to specify more virtual path mappings.
* `--webadmin`
  * Allows user to access web administration tool (if installed)
  
## EXAMPLES
* `buru user add guybrush --rootdir C:\Users\guybrush --password elaine`
  * Add user 'guybrush' with home directory at 'C:\Users\guybrush' and password 'elaine'. Guybrush will use password authentication

* `buru user add lechuck --rootdir C:\Users\lechuck --keys C:\Users\lechuck\rsa.pub`
  * Add user 'lechuck' with public key stored in 'C:\Users\lechuck\rsa.pub'. Lechuck will use public key authentication

## SEE ALSO
[path](path), [user delete](user-delete), [user list](user-list), [user update](user-update)